## samba 4.17.2+dfsg

=== debian/changelog ===
samba (2:4.17.2+dfsg-8) unstable; urgency=medium

  * d/rules: do not explicitly enable quotas on non-linux:
    enable everything interesting on linux explicitly and let ./configure
    to figure it out in other systems.  This should fix FTBFS problem on hurd.
  * d/rules: do not disable systemd on non-linux, let ./configure figure it out
  * d/winbind.postinst: switch addgroup => groupadd and eliminate getent.
    winbind package never declared dependency on adduser but always used
    addgroup command in its postinst script. Finally this broke piuparts.
    Switch to groupadd which is even easier to use.
  * d/samba.postinst: switch addgroup => groupadd and eliminate getent
  * d/smb.conf: use useradd in example create user script too

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 03 Nov 2022 15:04:46 +0300

samba (2:4.17.2+dfsg-7) unstable; urgency=medium

  * another way to work around #1013259: provide a compatibility symlink
    libndr.so.2 pointing to libndr.so.3:
    - libndr-debug-level-compat.diff, libndr-revert-so3.diff: remove
    - d/samba-libs.symbols: adjust symbols/versions
    - d/samba-libs.install: libndr.so.2 => libndr.so.3
    - d/samba-libs.links: provide the compat libndr.so.2 symlink
  * d/samba-libs.links: add comments describing libndr.so.N issue
  * d/samba-libs.links: add libndr.so.1 compat symlink too (for bullseye sssd)
  * d/control: unbreak bullseye/jammy sssd-ad-common, sssd-ad, sssd-ipa
    by samba-libs once libndr.so.1 compat link is here

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 02 Nov 2022 20:43:53 +0300

samba (2:4.17.2+dfsg-6) unstable; urgency=medium

  * d/control: fix comment in previous upload

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 02 Nov 2022 10:45:26 +0300

samba (2:4.17.2+dfsg-5) unstable; urgency=medium

  * d/control: bump version of broken-by-samba-libs sssd
    and add more affected sssd packages;
    also reformat the comment there so dpkg-gencontrol does not complain

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 02 Nov 2022 09:34:10 +0300

samba (2:4.17.2+dfsg-4) unstable; urgency=medium

  * d/control: stop suggesting old/orphaned/gone-upstream smbldap-tools
  * libndr work (Closes: #1013259):
   - d/control: samba-libs breaks bullseye sssd-ad due to libndr.so.1=>.2 bump
   - d/samba-libs.install: be more explicit about sonames of public libs
     to catch soname changes
   - libndr-debug-level-compat.diff, libndr-revert-so3.diff: revert
     libndr.so.2->3 soname bump by providing compat wrapper for new symbol
   - d/samba-libs.symbols: provide symbols for libndr.so.2

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 01 Nov 2022 12:53:22 +0300

samba (2:4.17.2+dfsg-3) unstable; urgency=low

  * rebase on top of debian 4.16.6+dfsg-6 release, include some
    history of 4.17.* experimental releases in changelog
  * d/samba-libs.lintian-overrides: update package-name-doesnt-match-sonames
    to match all libs
  * urgency is set to low to delay unstable->testing transition a bit

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 30 Oct 2022 16:23:51 +0300

samba (2:4.17.2+dfsg-2) experimental; urgency=medium

  * d/rules: stop dh_installpam from installing samba.pam
    to the samba package (Closes: #1022775, #1022776)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 25 Oct 2022 20:13:53 +0300

samba (2:4.17.2+dfsg-1) experimental; urgency=medium

  * upstream 4.17.2 security release:
   CVE-2022-3592 A malicious client can use a symlink to escape the exported
   directory. https://www.samba.org/samba/security/CVE-2022-3592.html
   (Samba 4.17 only)
  * Remove poptGetArg-misuse-fixes-1022826.diff (applied to 4.17.2)
  * d/rules: no need to build compile_et,asn1_compile intermediate targets
    anymore; also remove now-unused ${WAFv} macro

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 25 Oct 2022 14:30:44 +0300

samba (2:4.17.1+dfsg-1) experimental; urgency=medium

  * new upstream bugfix release containing a security fix:
    * CVE-2021-20251 Bad password count not incremented atomically.
  * Merge changes from 4.16.x (debian/master) branch.
  * use-bzero-instead-of-memset_s.diff : use explicit_bzero() instead of
    bzero() for the substitute of memset_s(). bzero() is wrong here because
    it, just like memset, can be optimized out by the compiler.

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 19 Oct 2022 21:34:11 +0300

samba (2:4.17.0+dfsg-2) experimental; urgency=medium

  * mention closing of CVE-2022-32743 by the 4.17.0 upload
  * mention closing of CVE-2022-1615 by the 4.17.0 upload
  * move libpac-samba4.so.0 from samba to samba-libs (Closes: #1021450)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 08 Oct 2022 23:00:05 +0300

samba (2:4.17.0+dfsg-1) experimental; urgency=medium

  * new upstream release 4.17.0
    Closes: CVE-2022-1615
    Closes: #1021022, CVE-2022-32743
  * removed: spelling.patch (partially applied upstream)
  * removed: weak-crypto-allowed-clarify.diff (applied upstream)
  * refresh: ctdb-create-piddir.patch
  * refresh: fix-nfs-service-name-to-nfs-kernel-server.patch
  * d/control: update minimum versions for talloc/tevent/tdb
  * d/rules: do not install ctdb.service, it is installed by upstream now
  * d/ctdb.install: do not install ctdb_wrapper (not used anymore)
  * d/libldb2.symbols, d/d/python3-ldb.symbols.in: new versions: 2.6.0 2.6.1
    per upstream, re-version symbols added in 2.5.2 as added in 2.6.1
    (ldb users needs to be recompiled anyway after updating libldb)
  * new: spelling.patch: a few more spelling fixes
  * d/control: bump Standards-Version to 4.6.1 (no changes)
  * Remove dont-ignore-errors-in-random-number-generation-CVE-2022-1615.patch
    (included in 4.17.0 already)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 13 Sep 2022 20:47:05 +0300

samba (2:4.16.6+dfsg-6) unstable; urgency=medium

  * d/rules: use the right dir for dh_shlibdeps -l (long-standing issue)
  * rewrite shlibs/symbols-generating file d/genshlibs, make whole process
    much more clean and strighforward, and 10x times faster too

