## samba 4.17.3+dfsg

=== debian/changelog ===
samba (2:4.17.3+dfsg-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports (no changes).

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 04 Dec 2022 10:41:34 +0300

samba (2:4.17.3+dfsg-3) unstable; urgency=medium

  * d/control: winbind should depend on the same binary:Version
    of libwbclient, or else its components can't talk to the daemon.
    Thank you Stefan Weichinger for the patience while finding this one!
  * libnss-winbind: add postinst/postrm scripts to add/remove nsswitch.conf
    entry for winbind (but not for wins)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 01 Dec 2022 22:38:07 +0300

samba (2:4.17.3+dfsg-2) unstable; urgency=medium

  * fruit-disable-useless-size_t-overflow-check.patch (Closes: #974868)
  * CVE-2022-42898-lib-krb5-fix-_krb5_get_int64-on-32bit.patch
    Fix regression on 32bit systems:
    https://bugzilla.samba.org/show_bug.cgi?id=15203

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 21 Nov 2022 20:41:46 +0300

samba (2:4.17.3+dfsg-1) unstable; urgency=medium

  * new upstream security release 4.17.3, fixing the following issue:
    CVE-2022-42898: Heimdal Kerberos libraries suffers from an integer
    multiplication overflow vulnerability which affects 32bit platforms,
    see https://www.samba.org/samba/security/CVE-2022-42898.html
    This changes third_party/heimdal/, it does not affect mitkrb5 builds.
  * d/rules: stop stripping +dfsg suffix from ldb version
  * d/control: declare dependency on password (for groupadd in postinst)
    for winbind and samba (Closes: #1023759)
  * implement pkg.samba.mitkrb5 build profile to build with system mit-krb5
    (with "mitkrb5" version suffix in some packages for now)
  * d/control: mark libufing-dev build dep with <!pkg.samba.nouring>
    (to simplify out-of-archive builds for older systems)
  * d/rules: parametrise list of packages to omit (eg on ubuntu-i386)
    with ${omit-pkgs}
  * d/rules: use variables in a more consistent way, use single ${config-args}
  * d/control: tdb-tools and lmdb-utils packages are also needed for tests
    (everything is commented out for now anyway)
  * d/rules: update knownfail tests
  * d/rules: stop exporting buildflags, export compiler options when needed
  * d/rules: always define rados:Depends & vfsmods:Depends substvars
  * unwrap-getresgid-typo.patch - fix crash during p11-kit execution
    (https://bugzilla.samba.org/show_bug.cgi?id=15227) (for the testsuite only)
  * nsswitch-pam-data-time_t.patch - fix time_t not fit in a pointer (eg x32)
    (https://bugzilla.samba.org/show_bug.cgi?id=15224)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 15 Nov 2022 19:26:10 +0300

samba (2:4.17.2+dfsg-9) unstable; urgency=medium

  * hurd-compat.patch: some minor compatibility tweaks for hurd
  * d/rules compat work:
    - ceph is linux-only like glusterfs
    - d/rules: add another conditional, with_snapper
    - combine linux features into single block
  * d/rules: support "terse" build option for non-verbose build
  * d/rules: remove third_party/heimdal/lib/gssapi/gssapi.h before build
    (Closes: #1013205). This fixes -I path order and <gssapi/gssapi.h>
    include mess which caused samba to FTBFS on sparc64 for quite some time

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Nov 2022 20:13:19 +0300
