=== debian/control ===
--- 
+++ 
@@ -47,6 +47,7 @@
 	libicu-dev,
 	libjansson-dev,
 	libjson-perl,
+	libkrb5-dev (>= 1.19.0~) <pkg.samba.mitkrb5>,
 	libldap2-dev,
 	liblmdb-dev,
 	libncurses5-dev,
@@ -59,7 +60,7 @@
 	libsystemd-dev [linux-any],
 	libtasn1-6-dev (>= 3.8),
 	libtasn1-bin,
-	liburing-dev [linux-any],
+	liburing-dev [linux-any] <!pkg.samba.nouring>,
 	xfslibs-dev [linux-any],
 	zlib1g-dev (>= 1:1.2.3),
 # python:
@@ -70,10 +71,12 @@
 	python3-markdown,
 	python3-testtools,
 # dependencies needed for selftest:
+#	lmdb-utils <!nocheck>,
 #	openssl <!nocheck>,
 #	python3-cryptography <!nocheck>,
 #	python3-iso8601 <!nocheck>,
 #	python3-pyasn1 <!nocheck>,
+#	tdb-tools <!nocheck>,
 Rules-Requires-Root: binary-targets
 Vcs-Browser: https://salsa.debian.org/samba-team/samba
 Vcs-Git: https://salsa.debian.org/samba-team/samba.git
@@ -81,7 +84,7 @@
 Package: samba
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: adduser,
+Depends: passwd,
          libpam-modules,
          libpam-runtime (>= 1.0.1-11),
          lsb-base (>= 4.1+Debian),
@@ -334,5 +337,3 @@
 Package: libsmbclient-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
-Depends: libsmbclient (= ${binary:Version}), ${misc:Depends}
