## samba 4.17.4+dfsg

=== debian/changelog ===
samba (2:4.17.4+dfsg-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 13 Jan 2023 11:33:07 +0300

samba (2:4.17.4+dfsg-3) unstable; urgency=medium

  * +rpc_server_srvsvc-retrieve_share_ACL_via_root_context.patch
    https://bugzilla.samba.org/show_bug.cgi?id=15265
  * +reload-registry-shares-after-reloading-services.patch
    https://bugzilla.samba.org/show_bug.cgi?id=15266
  * d/samba.postinst: fix /var/spool/samba => /var/tmp handling
    (old spooldir can be referred to in other sections too)
  * create common script "is-configured" to check if the service is configured
    in smb.conf, and stop masking services in postinst
  * rewrite SysV init scripts (simplify, make consistent, etc)
  * d/winbind.postinst: create/change /var/lib/samba/winbindd_privileged
    at install time only (it should be in /run/samba/ somewhere these days)
  * d/control: change version of samba which samba-ad-provisioning
    Breaks to where provisioning was split out

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 03 Jan 2023 10:45:36 +0300

samba (2:4.17.4+dfsg-2) unstable; urgency=medium

  * d/control: samba-dc-provision Replaces+Breaks samba (< 4.17.4+dfsg-2).
    Closes: #1026387

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 19 Dec 2022 16:36:00 +0300

samba (2:4.17.4+dfsg-1) unstable; urgency=medium

  * new upstream stable/security release, with the following changes:
   - CVE-2022-37966: Windows Kerberos RC4-HMAC Elevation of Privilege
     Vulnerability disclosed by Microsoft on Nov 8 2022, see
     https://www.samba.org/samba/security/CVE-2022-37966.html
   - CVE-2022-37967: Windows Kerberos Elevation of Privilege Vulnerability
     disclosed by Microsoft on Nov 8 2022. See
     https://www.samba.org/samba/security/CVE-2022-37967.html
   - CVE-2022-38023: Weak "RC4" (rc4-hmac) protection of the NetLogon Secure
     channel uses, see https://www.samba.org/samba/security/CVE-2022-38023.html
    There are several important behavior changes included in this release,
    which may cause compatibility problems interacting with system still
    expecting the former behavior.  Please read the documents referenced above!
    See also the WHATSNEW.txt document, as there are several new, changed
    and deprecated smb.conf parameters.
  * Other bugfixes in this release (from WHATSNEW.txt):
    https://bugzilla.samba.org/show_bug.cgi?id=14929 CVE-2022-44640
     Upstream Heimdal free of user-controlled pointer in FAST.
    https://bugzilla.samba.org/show_bug.cgi?id=15219
     Heimdal session key selection in AS-REQ examines wrong entry.
    https://bugzilla.samba.org/show_bug.cgi?id=13135 The KDC logic around
     msDs-supportedEncryptionTypes differs from Windows.
    https://bugzilla.samba.org/show_bug.cgi?id=14611 CVE-2021-20251
     Bad password count not incremented atomically.
    https://bugzilla.samba.org/show_bug.cgi?id=15206 libnet: change_password()
     doesn't work with dcerpc_samr_ChangePasswordUser4()
    https://bugzilla.samba.org/show_bug.cgi?id=15230
     Memory leak in snprintf replacement functions.
    https://bugzilla.samba.org/show_bug.cgi?id=15253 RODC doesn't reset
     badPwdCount reliable via an RWDC (CVE-2021-20251 regression).
    https://bugzilla.samba.org/show_bug.cgi?id=15198
     Prevent EBADF errors with vfs_glusterfs.
    https://bugzilla.samba.org/show_bug.cgi?id=15243
     %U for include directive doesn't work for share listing (netshareenum).
    https://bugzilla.samba.org/show_bug.cgi?id=15257
     Stack smashing in net offlinejoin requestodj.
  * removed patches which are now included upstream:
   - nsswitch-pam-data-time_t.patch
   - CVE-2022-42898-lib-krb5-fix-_krb5_get_int64-on-32bit.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 15 Dec 2022 21:54:31 +0300

samba (2:4.17.3+dfsg-4) unstable; urgency=medium

  * create samba-ad-provision package with contents of /usr/share/samba/setup.
    It is recommended by samba, so can be uninstalled if not needed.
  * create samba-ad-dc package. It is an empty metapackage for now, but with
    dependencies needed to run an Active Directory Domain Controller (AD-DC)
  * samba-ad-provision.lintian-overrides: license files
  * print meaningful error message if samba-ad-provision is not installed
    (meaningful-error-if-no-samba-ad-provision.patch)
  * print meaningful error message if python3-markdown is not installed
    (meaningful-error-if-no-python3-markdown.patch)
  * ctdb: move rundir from /var/run to /run
  * fix typo in fruit patch
  * a few more spelling fixes
  * add #DEBHELPER# tokens to libnss-winbind.{postinst,postrm}
  * remove mentions of /var/spool/samba from samba.lintian-overrides
    (moved to /var/tmp)
  * change embedded-library heimdal lintian override in a way to be understood
    by both old and new lintian, so the package can be uploaded

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 05 Dec 2022 14:39:43 +0300
