=== debian/control ===
--- 
+++ 
@@ -102,7 +102,8 @@
             logrotate,
             python3-markdown,
             samba-dsdb-modules,
-            samba-vfs-modules
+            samba-vfs-modules,
+            samba-ad-provision,
 Suggests: bind9 (>= 1:9.5.1),
           bind9utils,
           ctdb,
@@ -111,6 +112,7 @@
           ufw,
           winbind
 Enhances: bind9, ntp
+Breaks: samba-ad-provision (<< ${source:Upstream-Version})
 Description: SMB/CIFS file, print, and login server for Unix
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file and printer sharing with
@@ -187,6 +189,42 @@
  (provided in the samba package) and the client (provided in the samba-clients
  package).
 
+Package: samba-ad-dc
+Architecture: all
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
+Depends: samba (>= ${binary:Version}), samba-dsdb-modules, samba-vfs-modules,
+	winbind,
+	krb5-kdc (>> 1.19.0) <pkg.samba.mitkrb5>,
+	${misc:Depends}
+Recommends: libnss-winbind, libpam-winbind,
+# samba-ad-provision is needed for settup only
+	samba-ad-provision
+Breaks: samba-ad-provision (<< ${source:Upstream-Version})
+Description: Samba control files to run AD Domain Controller
+ Samba is an implementation of the SMB/CIFS protocol for Unix systems,
+ providing support for cross-platform file and printer sharing with
+ Microsoft Windows, OS X, and other Unix systems.
+ .
+ This package contains control files to run an Active Directory Domain
+ Controller (AD DC).  For now, this is just a metapackage pulling in
+ all the required dependencies.
+
+Package: samba-ad-provision
+Architecture: all
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}
+Replaces: samba (<< 2:4.17.3+dfsg-4~)
+Breaks:   samba (<< 2:4.17.3+dfsg-4~)
+Description: Samba files needed for AD domain provision
+ Samba is an implementation of the SMB/CIFS protocol for Unix systems,
+ providing support for cross-platform file and printer sharing with
+ Microsoft Windows, OS X, and other Unix systems.
+ .
+ This package contains files to setup an Active Directory Domain
+ Controller (AD DC).
+
 Package: smbclient
 Architecture: any
 Depends: samba-common (= ${source:Version}),
@@ -303,37 +341,3 @@
 Architecture: any
 Multi-Arch: same
 Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: ${vfsmods:Depends}
-Enhances: samba
-Description: Samba Virtual FileSystem plugins
- Samba is an implementation of the SMB/CIFS protocol for Unix systems,
- providing support for cross-platform file sharing with Microsoft Windows, OS X,
- and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
- .
- Virtual FileSystem modules are stacked shared libraries extending the
- functionality of Samba. Some examples are:
-  * vfs_acl_xattr: Save NTFS-ACLs in Extended Attributes
-  * vfs_audit: record selected Samba VFS operations in the system log
-  * vfs_readonly: Make a Samba share read only for a specified time period
-  * vfs_recycle: Give the same effect as the Recycle Bin on Windows computers
-  * vfs_shadow_copy2: Expose snapshots to Windows clients as shadow copies
-  * vfs_worm: Disallow writes for older file
- .
- Note: The runtime dependencies of vfs_ceph, vfs_glusterfs and vfs_snapper are
- moved to Recommends.
-
-Package: libsmbclient
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Description: shared library for communication with SMB/CIFS servers
- This package provides a shared library that enables client applications
- to talk to Microsoft Windows and Samba servers using the SMB/CIFS
- protocol.
-
-Package: libsmbclient-dev
-Section: libdevel
-Architecture: any
